Commit fbab41cc authored by Adrian Bunk's avatar Adrian Bunk Committed by Linus Torvalds
Browse files

[PATCH] HT_IRQ must depend on PCI



CONFIG_PCI=n, CONFIG_HT_IRQ=y results in the following compile error:

...
  LD      vmlinux
arch/i386/mach-generic/built-in.o: In function `apicid_to_node':
summit.c:(.text+0x53): undefined reference to `apicid_2_node'
arch/i386/kernel/built-in.o: In function `arch_setup_ht_irq':
(.text+0xcf79): undefined reference to `write_ht_irq_low'
arch/i386/kernel/built-in.o: In function `arch_setup_ht_irq':
(.text+0xcf85): undefined reference to `write_ht_irq_high'
arch/i386/kernel/built-in.o: In function `k7nops':
alternative.c:(.data+0x1358): undefined reference to `mask_ht_irq'
alternative.c:(.data+0x1360): undefined reference to `unmask_ht_irq'
make[1]: *** [vmlinux] Error 1

Bug report by Jesper Juhl.
Signed-off-by: default avatarAdrian Bunk <bunk@stusta.de>
Cc: "Eric W. Biederman" <ebiederm@xmission.com>
Signed-off-by: default avatarAndrew Morton <akpm@osdl.org>
Signed-off-by: default avatarLinus Torvalds <torvalds@osdl.org>
parent 53bc5b2d
...@@ -55,7 +55,7 @@ config PCI_DEBUG ...@@ -55,7 +55,7 @@ config PCI_DEBUG
config HT_IRQ config HT_IRQ
bool "Interrupts on hypertransport devices" bool "Interrupts on hypertransport devices"
default y default y
depends on X86_LOCAL_APIC && X86_IO_APIC depends on PCI && X86_LOCAL_APIC && X86_IO_APIC
help help
This allows native hypertransport devices to use interrupts. This allows native hypertransport devices to use interrupts.
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment